%{?nodejs_find_provides_and_requires}

%global packagename is-utf8
%global enable_tests 1

Name:		nodejs-is-utf8
Version:	0.2.0
Release:	2%{?dist}
Summary:	Detect if a buffer is utf8 encoded

License:	BSD
URL:		https://github.com/wayfind/is-utf8.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:	https://raw.githubusercontent.com/wayfind/is-utf8/master/LICENSE
# The license was added after the current release, and a new release has not been tagged
# in GitHub, so we'll have to pull the LICENSE from master for now.

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:
%endif

Requires:	nodejs

%description
Detect if a buffer is utf8 encoded.


%prep
%setup -q -n package
# copy the LICENSE file
cp -p %{SOURCE1} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.txt *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 29 2015 Jared Smith <jsmith@fedoraproject.org> - 0.2.0-2
- Initial packaging
